package com.zy.omp.controller.pc;

import com.zy.omp.common.Constant;
import com.zy.omp.common.ServerResponse;
import com.zy.omp.model.DeviceSet;
import com.zy.omp.model.News;
import com.zy.omp.service.DeviceSetService;
import com.zy.omp.service.SetService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 设备设置相关
 *
 * @author yang xiao kun
 * create on 2021/3/3
 */
@RestController
@RequestMapping("omp/api/pc/set")
public class PcSetController {

    @Resource
    private DeviceSetService deviceSetService;
    @Resource
    private SetService setService;

    /**
     * 其他设置
     *
     * @param openNum 设备ID
     */
    @GetMapping("baseSet.do")
    public ServerResponse getBaseSet(String openNum) {
        return ServerResponse.createBySuccess(deviceSetService.getByOpenNum(openNum));
    }


    /**
     * 设置音量
     */
    @PostMapping("volume.do")
    public ServerResponse setVolume(DeviceSet param) {
        setService.set(Constant.M_CODE_VOLUME, param);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置定位频率
     */
    @PostMapping("gpsRate.do")
    public ServerResponse gpsRate(DeviceSet param) {
        setService.set(Constant.M_CODE_GPS_RATE, param);
        return ServerResponse.createBySuccess();
    }

    /**
     * 自动接听
     *
     * @param param 设置参数
     */
    @PostMapping("autoAnswer.do")
    public ServerResponse setAutoAnswer(DeviceSet param) {
        setService.set(Constant.M_CODE_AUTO_ANSWER, param);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置语音播报
     */
    @PostMapping("news.do")
    public ServerResponse setNews(News news) {
        setService.saveNews(news);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置SOS紧急呼叫
     */
    @PostMapping("sos.do")
    public ServerResponse setSOS(DeviceSet param) {
        setService.set(Constant.M_CODE_SOS, param);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置持续定位
     */
    @PostMapping("continue.do")
    public ServerResponse setContinue(DeviceSet param) {
        setService.set(Constant.M_CODE_CONTINUE_GPS, param);
        return ServerResponse.createBySuccess();
    }
}
