package com.zy.omp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.omp.pojo.io.pc.DeviceIO;
import com.zy.omp.mapper.DeviceMapper;
import com.zy.omp.model.Device;
import com.zy.omp.pojo.vo.DeviceListVo;
import org.springframework.stereotype.Service;

/**
 * 设备信息相关
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Service
public class DeviceService extends ServiceImpl<DeviceMapper, Device> {

    /**
     * 后台
     * 分页查询设备列表
     *
     * @param io 查询条件
     */
    public IPage<DeviceListVo> listPage(DeviceIO io) {
        Page<DeviceListVo> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.listPage(page, io);
    }
}
